Business Verify ID
curl --request GET \
--url https://dataapi.dncscrub.com/v1.4/Data/ResOrBusiness \
--header 'loginId: <loginid>'import requests
url = "https://dataapi.dncscrub.com/v1.4/Data/ResOrBusiness"
headers = {"loginId": "<loginid>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {loginId: '<loginid>'}};
fetch('https://dataapi.dncscrub.com/v1.4/Data/ResOrBusiness', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Phone": "7072842774",
"ResOrBusiness": "B"
}
Data Enhancement
Business Verify ID
Determines whether a phone number is associated with a residential or business line.
GET
/
v1.4
/
Data
/
ResOrBusiness
Business Verify ID
Request
Headers
string
required
Your API Key (LoginId from your DNCScrub account)
Query Parameters
string
required
10-digit phone number to check
Output parameters
| Field | Description |
|---|---|
Phone | Ten digit phone number that was queried. Example 5039367188 |
ResOrBusiness | One character code indicating status |
ResOrBusiness values
| Value | Description |
|---|---|
R | Residential |
B | Business |
U | Unknown. The record type was not able to be determined. |
Example Request
curl --location --request GET \
'https://dataapi.dncscrub.com/v1.4/Data/ResOrBusiness
?phone=7072842774' \
--header 'loginId: YOUR_API_KEY'
const response = await fetch(
'https://dataapi.dncscrub.com/v1.4/Data/ResOrBusiness?phone=7072842774',
{
method: 'GET',
headers: {
'loginId': 'YOUR_API_KEY'
}
}
);
const data = await response.json();
console.log(data);
using (var client = new HttpClient())
{
client.DefaultRequestHeaders.Add("loginId", "YOUR_API_KEY");
var response = await client.GetAsync(
"https://dataapi.dncscrub.com/v1.4/Data/ResOrBusiness?phone=7072842774"
);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
{
"Phone": "7072842774",
"ResOrBusiness": "B"
}
⌘I